<% like_score = calc_like_score(@engagement)%>
<% comment_score = calc_comment_score(@engagement)%>
<% share_score = calc_share_score(@engagement)%>
<% low_border = 3.3 %>
<% middle_border = 6.6 %>
<div class="container productindex">
    <section class="product-navigation header top-margin">
          <h1 class="animated">Heroscore</h1>
    </section>
    <hr>

    <div class="row">
        <div class="col-md-4 col-xs-12 box">
            
            <div class="box-content bg-light-blue shadowed">
              <p class="info-label">HeroScore</p>
              <h3 class="score"><%= @engagement.heroscore >= 10.0 ? 10 : @engagement.heroscore  %>/10</h3>
            </div>
            <div class="box-content bg-light-grey shadowed" style="margin-top:10px;">
                <div class="product-description" id="description"> 
                    <h3>What is a good HeroScore?</h3>
                    <ul>
                        <li><b>9+ </b> <i class="fa fa-arrow-right" aria-hidden="true"></i> Incredible!</li>
                        <li><b>7-9</b> <i class="fa fa-arrow-right" aria-hidden="true"></i> Awesome!</li>
                        <li><b>5-7</b> <i class="fa fa-arrow-right" aria-hidden="true"></i> Excellent!</li>
                        <li><b>3-5</b> <i class="fa fa-arrow-right" aria-hidden="true"></i> Good!</li>
                        <li><b>2-3</b> <i class="fa fa-arrow-right" aria-hidden="true"></i> Normal!</li>
                        <li><b>0-2</b> <i class="fa fa-arrow-right" aria-hidden="true"></i> Dog Poop!</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col-md-8 col-xs-12 box">
            <div class="progress">
                <div class="progress-bar" style="width:<%= like_score * 10  %>%;
                background:<%= like_score < low_border ? :red : (like_score >= low_border && like_score <= middle_border) ? :orange : :green %>;">
                    <h3 class="progress-title">Likes</h3>
                    <div class="progress-value"><%= like_score >= 10.0 ? 10 : like_score %>/10</div>
                </div>
            </div>
            <div class="progress">
                <div class="progress-bar" style="width:<%= comment_score * 10  %>%;
                background:<%= comment_score < low_border ? :red : (comment_score >= low_border && comment_score <= middle_border) ? :orange : :green %>;">
                    <h3 class="progress-title">Comments</h3>
                    <div class="progress-value"><%= comment_score >= 10.0 ? 10 : comment_score %>/10</div>
                </div>
            </div>
            <div class="progress">
                <div class="progress-bar" style="width:<%= share_score * 10  %>%;
                background:<%= share_score < low_border ? :red : (share_score >= low_border && share_score <= middle_border) ? :orange : :green %>;">
                    <h3 class="progress-title">Shares</h3>
                    <div class="progress-value"><%= share_score >= 10.0 ? 10 : share_score %>/10</div>
                </div>
            </div>
            <hr>
            <div class="progress">
                <div class="progress-bar" style="width:<%= @engagement.heroscore * 10  %>%;
                background:<%= @engagement.heroscore < low_border ? :red : (@engagement.heroscore >= low_border && @engagement.heroscore <= middle_border) ? :orange : :green %>;">
                    <h3 class="progress-title">Heroscore</h3>
                    <div class="progress-value"><%= @engagement.heroscore >= 10.0 ? 10 : @engagement.heroscore  %>/10</div>
                </div>
            </div>
        </div>
    </div>
</div>